Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AttributeCertificate

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.AttributeCertificate

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class AttributeCertificate
extends ASN1Object

Constructor Summary
`AttributeCertificate(AttributeCertificateInfo acinfo, AlgorithmIdentifier signatureAlgorithm, ASN1BitString signatureValue)`

Method Summary
`AttributeCertificateInfo` | `getAcinfo()`
`static AttributeCertificate` | `getInstance(java.lang.Object obj)`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`ASN1BitString` | `getSignatureValue()`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificate

    public AttributeCertificate(AttributeCertificateInfo acinfo,
                                AlgorithmIdentifier signatureAlgorithm,
                                ASN1BitString signatureValue)

Method Detail

### getInstance

    public static AttributeCertificate getInstance(java.lang.Object obj)

  Parameters:
    `obj` -
  Returns:
    an AttributeCertificate object

### getAcinfo

    public AttributeCertificateInfo getAcinfo()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### getSignatureValue

    public ASN1BitString getSignatureValue()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. AttributeCertificate ::= SEQUENCE { acinfo AttributeCertificateInfo, signatureAlgorithm AlgorithmIdentifier, signatureValue BIT STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD